package com.yyrh.ui;


import android.webkit.JavascriptInterface;

import com.yyrh.ui.dialog.BaseDialog;


public class PageJsInteraction {

    private BaseDialog baseDialog;
    public PageJsInteraction(BaseDialog baseDialog) {
        this.baseDialog =baseDialog;
    }



    @JavascriptInterface
    public void zfColse() {   //提供给js调用的方法
        this.baseDialog.zfColse();
    }

    @JavascriptInterface
    public void usrRn(String message) {
        this.baseDialog.usrRn(message);
    }
    @JavascriptInterface
    public void showJsMsg(String message) {
        this.baseDialog.showJsMsg(message);
    }
    @JavascriptInterface
    public void modifyPwd(String message) {   //提供给js调用的方法

        this.baseDialog.modifyPwd(message);

    }


    @JavascriptInterface
    public void zfOrder(String message) {
        this.baseDialog.zfOrder(message);
    }

    @JavascriptInterface
    public void openq0q0(String url)  {
        this.baseDialog.openq0q0(url);
    }

    @JavascriptInterface
    public String webExt() {
        return this.baseDialog.webExt();
    }

    @JavascriptInterface
    public void switchAccount() {
         this.baseDialog.switchAccount();
    }
}
